Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2492 - cvs pserver tries to access /root
Summary: cvs pserver tries to access /root
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-03 05:20 UTC by Bryce McKinlay
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-04 15:57:07 UTC


Attachments (Terms of Use)

Description Bryce McKinlay 1999-05-03 05:20:26 UTC
cvs, running out of inetd as a pserver, incorrectly tries to
access the /root directory when a remote user connects.
Error and Warning messages include the following:

cvs server: cannot open /root/.cvsignore: Permission denied
cvs [server aborted]: can't chdir(/root): Permission denied

This would appear to be a problem triggered by glibc 2.1 or
inetd since the .src.rpm from 6.0, when built on RH5.2, does
not exhibit this problem.

A (nasty) workaround is to chmod +x /root

Comment 1 Jeff Johnson 1999-05-04 15:57:59 UTC
You have not configured your pserver correctly. Try "info cvs"
and search for indetd. If you had configured correctly, then
either
	1) you waould have had root access because that's the user
	inetd uses to start a pserver
	2) you would have been in pserver mode and would not have
	tried to access $HOME fro the invoking user (i.e. /root


Note You need to log in before you can comment on or make changes to this bug.